<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@C0005=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@42437=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <parameter>
      <item value="0x20">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@41BD1=param|(maincpu.pb@41BD1 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Maximum Shot Power">
    <script state="run">
      <action>maincpu.pb@41BD3=05</action>
    </script>
  </cheat>

  <cheat desc="Select Speed">
    <parameter>
      <item value="0x10">1</item>
      <item value="0x16">2</item>
      <item value="0x1C">3</item>
      <item value="0x22">4</item>
      <item value="0x28">5</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@41BD7=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@41BD0=00|(maincpu.pb@41BD0 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip RAM/ROM Check"> <comment>Doesn't work with Infinite Credits enabled</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@0064C</action>
      <action>temp1 =maincpu.mw@00746</action>
    </script>
    <script state="run">
      <action>maincpu.mw@0064C=6058</action>
      <action>maincpu.mw@00746=602A</action> <!-- 1st = RAM / 2nd = ROM -->
    </script>
    <script state="off">
      <action>maincpu.mw@0064C=temp0 </action>
      <action>maincpu.mw@00746=temp1 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
